#ifndef INPUT_H
#define INPUT_H

#include "math.h"

namespace sys
{

extern "C" int __key();

/**Get a character.
   @return char when there was an input
   @return -1 when there was no input
   */
int getchar()
{
	int reg = 0;
	reg = __key(); // reg will be modified here
	return reg;
}

/**Read in a decimal number and return it*/
int read_number()
{
	int c = 0; // the current character read
	int r = 0; // the return value
	int x = 10; // basis
	int z = '0'; // ascii value of the digit 0

	while ((c=getchar()) != -1)
	{
		r=mul(r,x);
		r+=sub(c,z);
	}
	return r;
}


} // end namespace sys

#endif
