#include "input.h"
#include "display.h"

#include "storage.h"

char var[128];

#include "error.cpp"
#include "hello.cpp"
#include "editor.cpp"
#include "addr.cpp"
#include "calc.cpp"


int main()
{
	using namespace sys;

	while (true)
	{
		Display d;
		d.showDisplay(storage::choose);
		int choose = getchar();
		int ignore = getchar();

		if (ignore!=-1) return 2;

		if (choose == 'H') hello::main();
		else if (choose == 'E') editor::main();
		else if (choose == 'A') addr::main();
		else if (choose == 'C') calc::main();
		else if (choose == 'Q') return 0;
		else return error::main();
	}

	return 0;
}
