#ifndef STRING_H
#define STRING_H

extern "C" int __strncmp (char* s1, char* s2, int n);

namespace sys
{

/**Copy n characters from source to destination.

  using int* would leave out every second character,
  but in reality we have 32bit copy per character.
  */
char* strncpy(char* dest, char* source, int n)
{
	int i;

	for (i=0; i!=n; i++)
	{
		dest[i] = source[i];
	}

	return dest;
}


/**Working with C but not with C++???.
int strncmp (char* s1, char* s2, int n)
{
	int i;

	for (i=0; i!=n; i++)
	{
		if (s1[i] != s2[i]) return 0;
	}
	return 1;
}
*/

int strncmp (int* s1, int* s2, int n)
{
	int i;

	for (i=0; i!=1; i++)
	{
		if (s1[i] != s2[i]) return 0;
	}
	return 1;
}


} // namespace sys


#endif
