#ifndef VAR_H
#define VAR_H

#include "input.h"
#include "flash.h"
#include "string.h"

namespace addr
{

class Var
{
	static char var[128];
public:
	/**Read name into var*/
	void readName();
	/**Compare content with flash*/
	int compare(int length = 32);
};

void Var::readName()
{
	int i;
	for (i=0; i!=32; i++)
	{
		var[i] = sys::getchar();
	}

	int ign = sys::getchar();
}

/**Compares the display with current flash.
  @return 0 when they are not equal
  @return 1 when they are equal.
  */
int Var::compare(int length)
{
	return sys::strncmp ((int*)var, (int*)sys::Flash::flash, length);
}

char Var::var [128];

} // end namespace addr

#endif
