#include "flash.h"
#include "getchar.h"
#include "string.h"

int flash[128];
int display[128];

int testwrite()
{
	flash[0] = 'H';
	flash[1] = 'e';
	flash[2] = 'l';
	flash[3] = 'l';
	flash[4] = 'o';
	flash[5] = ' ';
	flash[6] = 'W';
	flash[7] = 'o';
	flash[8] = 'r';
	flash[9] = 'l';
	flash[10] = 'd';
	flash[11] = '!';

	writeflash(20);

	return 0;
}

int testread()
{
	//cleanup first
	flash[0] = ' ';
	flash[1] = ' ';
	flash[2] = ' ';
	flash[3] = ' ';
	flash[4] = ' ';
	flash[5] = ' ';
	flash[6] = ' ';
	flash[7] = ' ';
	flash[8] = ' ';
	flash[9] = ' ';
	flash[10] = ' ';
	flash[11] = ' ';

	readflash(20);

	return 0;
}

int show()
{
	strncpy ((char*)display, (char*)flash, 12);

	return 0;
}

int testit()
{
	if (flash[0]  != 'H') return 0;
	if (flash[1]  != 'e') return 0;
	if (flash[2]  != 'l') return 0;
	if (flash[3]  != 'l') return 0;
	if (flash[4]  != 'o') return 0;
	if (flash[5]  != ' ') return 0;
	if (flash[6]  != 'W') return 0;
	if (flash[7]  != 'o') return 0;
	if (flash[8]  != 'r') return 0;
	if (flash[9]  != 'l') return 0;
	if (flash[10] != 'd') return 0;
	if (flash[11] != '!') return 0;

	return 1;
}

int main()
{
	testwrite();
	testread();
	show();
	getchar();

	return testit();
}
