#!/bin/sh

function testcase()
{
	echo 12 | toolchain $1
	if [ $? != $2 ]
	then
		echo "Error in testcase $1 (wanted $2, but got $?)"
		exit 1
	fi
}

testcase add.c 8
testcase basicfunc.c 5
testcase basicif.c 9
testcase func.c 1
testcase getchar.c 50
testcase hello.c 49
testcase loopfor.c 30
testcase loopwhile.c 51
testcase loopcount.c 55
testcase funcrec.c 89

testcase mul.c 90
testcase div.c 0
testcase mean.c 49

testcase calc.c 7

testcase flash.c 1
testcase pointer.c 1

testcase cmpstr.c 1
testcase string.c 1

echo "All tests passed gracefully"

exit 0
