#include "getchar.h"
#include "flash.h"


/*
   32 Zeichen

Namen haben genau 32 Zeichen (mit Leerzeichen)
Telefonnr haben genau 32 Zeichen
Adresse haben genau 64 Zeichen

1 Block hat 128 Register -> genau 1 Eintrag

es werden ?128 Blöcke fix verwendet

letzter Block: addresse nicht gefunden
*/

int display[128]; //8064
int addr_input_array[32];
int addr_current_array[32]; // 8064-128

int strncmp (int* s1, int* s2, int l)
{
	int i;
	for (i=0; i!=l; i++)
	{
		if (s1[i] != s2[i]) return 0;
	}
	return 1;
}


void addr_input()
{
	int i;
	for (i=0; i!=32; i++)
	{
		addr_input_array[i] = getchar();
	}
}

void addr_search()
{
	int i;
	int k;
	for (i=128; i!=256; i++)
	{
		// readflash (i, 8064-128);
		readflash(i);

		k = strncmp (addr_input_array, addr_current_array, 32);

		if (k)
		{
			// readflash (i, 8064);
			readflash (i);
			return;
		}
	}
	// readflash (256, 8064); // Addresse nicht gefunden
	readflash (256);
}

int addr_main()
{
	addr_input();
	addr_search();
}

              //01234567890123456789012345678912
char data0[] = "Franz Müller                    "
               "01 388 399                      "
               "Taubengasse 7                   "
               "1100 Wien                       ";
char arr[] = "Bitte 0-4 eingeben";
char arr2[] = "Bitte 0-3 eingeben";


int error_main()
{
	int i;

	for (i=0; i!=sizeof(arr); i++)
	{
		display[i] = arr[i];
	}
}


int main()
{
	int c = getchar();
	switch (c)
	{
		case '0': addr_main();
			  break;
		default: error_main();
			 break;
	}
	return 0;
}

