extern "C" {

int __read(int block);
int __write(int block);

}

namespace system
{

/**Reads a block from the flash.
  It will be written into the array flash
  with the size 128.*/
int readflash (int block)
{
	return __read(block);
}

/**Writes a block to the flash.
  It will be read from the array flash
  with the size 128.*/
int writeflash (int block)
{
	return __write(block);
}

}
