#ifndef EXCEPT_H
#define EXCEPT_H

/**An error occurred during parsing
  of the program file. */
struct EParse : public std::exception
{
	size_t linenr;
	std::string msg;
	EParse(std::string msg) throw() :
		linenr(0),
		msg(msg)
	{}
	const char* what() const throw()
	{
		return "Parse Error";
	}
	virtual ~EParse() throw() {}
};

#endif
