	.file	"flash.c"
	.section .text
	.align 1
	.global _readflash
_readflash:
	mov.w	r6,@-r7
	mov.w	r7,r6
	jsr	@___read
	mov.w	@r7+,r6
	rts
	.align 1
	.global _writeflash
_writeflash:
	mov.w	r6,@-r7
	mov.w	r7,r6
	jsr	@___write
	mov.w	@r7+,r6
	rts
	.align 1
	.global _getchar
_getchar:
	mov.w	r6,@-r7
	mov.w	r7,r6
	jsr	@___key
	mov.w	@r7+,r6
	rts
	.align 1
	.global _strncpy
_strncpy:
	mov.w	r6,@-r7
	mov.w	r7,r6
	mov.w	r4,@-r7
	mov.w	r5,@-r7
	mov.w	r0,r5
	mov.w	r1,r4
	mov.w	r2,r1
	sub.w	r0,r0
.L11:
	cmp.w	r1,r0
	beq	.L10
	mov.w	r5,r2
	add.w	r0,r2
	mov.w	r4,r3
	add.w	r0,r3
	mov.b	@r3,r3l
	mov.b	r3l,@r2
	adds	#1,r0
	bra	.L11
.L10:
	mov.w	r5,r0
	mov.w	@r7+,r5
	mov.w	@r7+,r4
	mov.w	@r7+,r6
	rts
	.align 1
	.global _testwrite
_testwrite:
	mov.w	r6,@-r7
	mov.w	r7,r6
	mov.w	#72,r2
	mov.w	r2,@_flash
	mov.b	#101,r2l
	mov.w	r2,@_flash+2
	mov.w	#108,r3
	mov.w	r3,@_flash+4
	mov.w	r3,@_flash+6
	mov.w	#111,r0
	mov.w	r0,@_flash+8
	mov.b	#32,r2l
	mov.w	r2,@_flash+10
	mov.b	#87,r2l
	mov.w	r2,@_flash+12
	mov.w	r0,@_flash+14
	mov.b	#114,r2l
	mov.w	r2,@_flash+16
	mov.w	r3,@_flash+18
	mov.b	#100,r2l
	mov.w	r2,@_flash+20
	mov.b	#33,r2l
	mov.w	r2,@_flash+22
	mov.b	#20,r0l
	jsr	@_writeflash
	sub.w	r0,r0
	mov.w	@r7+,r6
	rts
	.align 1
	.global _testread
_testread:
	mov.w	r6,@-r7
	mov.w	r7,r6
	mov.w	#32,r2
	mov.w	r2,@_flash
	mov.w	r2,@_flash+2
	mov.w	r2,@_flash+4
	mov.w	r2,@_flash+6
	mov.w	r2,@_flash+8
	mov.w	r2,@_flash+10
	mov.w	r2,@_flash+12
	mov.w	r2,@_flash+14
	mov.w	r2,@_flash+16
	mov.w	r2,@_flash+18
	mov.w	r2,@_flash+20
	mov.w	r2,@_flash+22
	mov.w	#20,r0
	jsr	@_readflash
	sub.w	r0,r0
	mov.w	@r7+,r6
	rts
	.align 1
	.global _show
_show:
	mov.w	r6,@-r7
	mov.w	r7,r6
	mov.w	#12,r2
	mov.w	#_flash,r1
	mov.w	#_display,r0
	jsr	@_strncpy
	sub.w	r0,r0
	mov.w	@r7+,r6
	rts
	.align 1
	.global _testit
_testit:
	mov.w	r6,@-r7
	mov.w	r7,r6
	mov.w	@_flash,r3
	mov.w	#72,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+2,r3
	mov.w	#101,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+4,r3
	mov.w	#108,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+6,r0
	cmp.w	r3,r0
	bne	.L28
	mov.w	@_flash+8,r1
	mov.w	#111,r2
	cmp.w	r2,r1
	bne	.L28
	mov.w	@_flash+10,r3
	mov.w	#32,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+12,r3
	mov.w	#87,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+14,r2
	cmp.w	r1,r2
	bne	.L28
	mov.w	@_flash+16,r3
	mov.w	#114,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+18,r2
	cmp.w	r0,r2
	bne	.L28
	mov.w	@_flash+20,r3
	mov.w	#100,r2
	cmp.w	r2,r3
	bne	.L28
	mov.w	@_flash+22,r3
	mov.w	#33,r2
	cmp.w	r2,r3
	beq	.L27
.L28:
	sub.w	r0,r0
	bra	.L15
.L27:
	mov.w	#1,r0
.L15:
	mov.w	@r7+,r6
	rts
	.align 1
	.global _main
_main:
	mov.w	r6,@-r7
	mov.w	r7,r6
	jsr	@_testwrite
	jsr	@_testread
	jsr	@_show
	jsr	@_getchar
	jsr	@_testit
	mov.w	@r7+,r6
	rts
	.comm _flash,256
	.comm _display,256
	.end
	.ident	"GCC: (GNU) 3.4.6"
